ships bogus documentation directory

Bug #46435 reported by Colin Watson
6
Affects Status Importance Assigned to Milestone
netgo (Ubuntu)
Wishlist
Daniel T Chen

Bug Description

drwxr-xr-x root/root 0 2006-05-24 19:23:18 ./usr/share/doc/netgo-0.5/
-rw-r--r-- root/root 2341 2006-05-24 19:23:17 ./usr/share/doc/netgo-0.5/README
-rw-r--r-- root/root 879 2006-05-24 19:23:17 ./usr/share/doc/netgo-0.5/CHANGELOG
-rw-r--r-- root/root 595 2006-05-24 19:23:17 ./usr/share/doc/netgo-0.5/TODO
-rw-r--r-- root/root 6854 2006-05-24 19:23:17 ./usr/share/doc/netgo-0.5/COPYING.gz
drwxr-xr-x root/root 0 2006-05-24 19:23:18 ./usr/share/doc/netgo/
-rw-r--r-- root/root 493 2004-09-03 20:19:20 ./usr/share/doc/netgo/changelog.gz
-rw-r--r-- root/root 2341 2004-09-03 20:37:11 ./usr/share/doc/netgo/README
-rw-r--r-- root/root 595 2004-09-03 20:19:20 ./usr/share/doc/netgo/TODO
-rw-r--r-- root/root 1044 2006-05-24 19:22:44 ./usr/share/doc/netgo/copyright
-rw-r--r-- root/root 203 2006-05-24 19:22:44 ./usr/share/doc/netgo/changelog.Debian.gz

/usr/share/doc/netgo-0.5/ should be removed.

Related branches

Revision history for this message
Daniel T Chen (crimsun) wrote :

Attaching debdiff separately.

~/pbuilder/result $ dpkg-deb -c netgo_0.5-2ubuntu1_amd64.deb|more
drwxr-xr-x root/root 0 2008-12-18 22:45 ./
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/bin/
-rwxr-xr-x root/root 853 2008-12-18 22:45 ./usr/bin/netgo
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/sbin/
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/share/
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/share/netgo/
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/share/netgo/icons/
-rw-r--r-- root/root 2637 2008-12-18 22:45 ./usr/share/netgo/icons/globe_32x32.png
-rwxr-xr-x root/root 300120 2008-12-18 22:45 ./usr/share/netgo/netgo-bin
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/share/doc/
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/share/doc/netgo/
-rw-r--r-- root/root 1044 2008-12-18 22:44 ./usr/share/doc/netgo/copyright
-rw-r--r-- root/root 595 2004-09-03 15:19 ./usr/share/doc/netgo/TODO
-rw-r--r-- root/root 483 2004-09-03 15:19 ./usr/share/doc/netgo/changelog.gz
-rw-r--r-- root/root 293 2008-12-18 22:44 ./usr/share/doc/netgo/changelog.Debian.gz
-rw-r--r-- root/root 2341 2004-09-03 15:37 ./usr/share/doc/netgo/README
drwxr-xr-x root/root 0 2008-12-18 22:45 ./usr/share/menu/
-rw-r--r-- root/root 89 2008-12-18 22:44 ./usr/share/menu/netgo

Changed in netgo:
assignee: nobody → crimsun
importance: Medium → Wishlist
status: New → In Progress
Revision history for this message
Daniel T Chen (crimsun) wrote :
Revision history for this message
Daniel Holbach (dholbach) wrote :

What do you think about dropping install_docs (from install) and uninstall_docs (from uninstall) in ./Makefile ?

That way we wouldn't have to hard-code the version number.

Revision history for this message
Daniel T Chen (crimsun) wrote :

I don't understand what you mean by "hard-code the version number". The source package doesn't seem to be in Debian proper, so we wouldn't be carrying a delta per se. Frankly, we can correct this packaging issue in the packaging.

Revision history for this message
Daniel Holbach (dholbach) wrote :

Alright. Uploading. The version is "hard-coded" in debian/rules already. :)

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netgo - 0.5-2ubuntu1

---------------
netgo (0.5-2ubuntu1) jaunty; urgency=low

  * debian/rules: Remove usr/share/doc/netgo-0.5 as per
    LP: #46435

 -- Daniel T Chen <email address hidden> Thu, 18 Dec 2008 22:21:50 -0500

Changed in netgo:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers